## indi-fli 1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_fli C CXX)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set (UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(FLI REQUIRED)
find_package(ZLIB REQUIRED)

set (FLI_CCD_VERSION_MAJOR 1)
set (FLI_CCD_VERSION_MINOR 5)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_fli.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_fli.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${FLI_INCLUDE_DIR})

include(CMakeCommon)

###### FLI Precision Digital Focuser ######
set(flipdf_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/fli_pdf.cpp
)

add_executable(indi_fli_focus ${flipdf_SRCS})

target_link_libraries(indi_fli_focus ${INDI_LIBRARIES} ${FLI_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})

install(TARGETS indi_fli_focus RUNTIME DESTINATION bin )

###### FLI Filter wheel ######
set(flicfw_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/fli_cfw.cpp
)

add_executable(indi_fli_wheel ${flicfw_SRCS})

target_link_libraries(indi_fli_wheel ${INDI_LIBRARIES} ${FLI_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})

install(TARGETS indi_fli_wheel RUNTIME DESTINATION bin )
############# FLI CCD ###############
set(fliccd_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/fli_ccd.cpp
)

add_executable(indi_fli_ccd ${fliccd_SRCS})

target_link_libraries(indi_fli_ccd ${INDI_LIBRARIES} ${FLI_LIBRARIES} ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})

install(TARGETS indi_fli_ccd RUNTIME DESTINATION bin)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_fli.xml DESTINATION ${INDI_DATA_DIR})

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/99-fli.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
endif()

=== debian/changelog ===
indi-fli (1.5-2) unstable; urgency=medium

  * upload source
  * debian/control: move maintainer to debian-astro
  * debian/control: add VCS entries
  * do not install 99-fli.rules here (Closes: #1002548)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 22:51:23 +0100

indi-fli (1.5-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 23 Dec 2021 11:51:23 +0000

=== debian/control ===
Source: indi-fli
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libfli-dev
	, libindi-dev
	, zlib1g-dev
	, libcfitsio-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libfli
Vcs-Git: https://salsa.debian.org/debian-astro-team/libfli.git

Package: indi-fli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libfli2
Description: INDI driver for FLI CCD & Focuser
 This package contains an INDI driver for Finger Lakes Instruments
 CCD and Focuser.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-fli 1.5+20221225141318

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,15 +5,16 @@
 LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
 include(GNUInstallDirs)
 
-set (UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
-
 find_package(CFITSIO REQUIRED)
 find_package(INDI REQUIRED)
 find_package(FLI REQUIRED)
 find_package(ZLIB REQUIRED)
+find_package(FLIPRO)
 
-set (FLI_CCD_VERSION_MAJOR 1)
-set (FLI_CCD_VERSION_MINOR 5)
+set (FLI_CCD_VERSION_MAJOR 2)
+set (FLI_CCD_VERSION_MINOR 0)
+
+OPTION (LEGACY_MODE "Build Legacy Mode" OFF)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_fli.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_fli.xml )
@@ -25,6 +26,11 @@
 include_directories( ${FLI_INCLUDE_DIR})
 
 include(CMakeCommon)
+
+IF (LEGACY_MODE)
+# Legacy mode to support older INDI properties used in some observatories.
+add_definitions(-DLEGACY_MODE)
+ENDIF(LEGACY_MODE)
 
 ###### FLI Precision Digital Focuser ######
 set(flipdf_SRCS
@@ -47,6 +53,7 @@
 target_link_libraries(indi_fli_wheel ${INDI_LIBRARIES} ${FLI_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})
 
 install(TARGETS indi_fli_wheel RUNTIME DESTINATION bin )
+
 ############# FLI CCD ###############
 set(fliccd_SRCS
         ${CMAKE_CURRENT_SOURCE_DIR}/fli_ccd.cpp
@@ -60,7 +67,21 @@
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_fli.xml DESTINATION ${INDI_DATA_DIR})
 
-if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/99-fli.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
-endif()
+if (FLIPRO_FOUND)
+include_directories( ${FLIPRO_INCLUDE_DIR})
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_flipro.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_flipro.xml )
 
+############# Kepler Camera ###############
+set(kepler_SRCS
+        ${CMAKE_CURRENT_SOURCE_DIR}/kepler.cpp
+)
+
+add_executable(indi_kepler_ccd ${kepler_SRCS})
+
+target_link_libraries(indi_kepler_ccd ${INDI_LIBRARIES} ${FLIPRO_LIBRARIES} ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})
+
+install(TARGETS indi_kepler_ccd RUNTIME DESTINATION bin)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_flipro.xml DESTINATION ${INDI_DATA_DIR})
+
+endif (FLIPRO_FOUND)

=== debian/changelog ===
indi-fli (1.5+20221225141318-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.5

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Dec 2022 14:14:32 +0000

indi-fli (1.5-3) unstable; urgency=medium

  * debian/control: use correct URLs for VCS*

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 19:51:23 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/libfli
-Vcs-Git: https://salsa.debian.org/debian-astro-team/libfli.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-fli
+Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-fli.git
 
 Package: indi-fli
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/indi-fli/lib
